Skip to main content
GET
Get bonds

Query Parameters

min_price
number<double>

Minimum best-outcome price (default: 0.85). min_probability is accepted as a backwards-compatible alias.

max_price
number<double>

Maximum best-outcome price. max_probability is accepted as a backwards-compatible alias.

max_hours
number<double>

Maximum hours until market end, capped at 168

sort_by
enum<string>

Sort by: apy, liquidity, volume, end_date (default: end_date)

Available options:
end_date,
apy,
liquidity,
volume
sort_desc
boolean

Sort descending (default: true)

limit
integer<int32>

Number of results (default: 10, max: 250)

offset
integer<int32>

Initial skip (default: 0). Can also be supplied through pagination_key.

pagination_key
string

Offset cursor from previous response. Opaque token — pass verbatim to fetch the next page.

Response

200 - application/json

List of bond markets

condition_id
string
required
question
string
required
market_slug
string
required
end_time
integer<int64>
required
best_outcome_index
integer<int32>
required
Required range: x >= 0
best_price
number<double>
required

Highest outcome price (the bond's "buy the favourite" entry price).

return_pct
number<double>
required
apy
number<double>
required
outcomes
object[]
required
title
string | null
event_slug
string | null
image_url
string | null
volume_24h
number<double> | null
shares_volume_24h
number<double> | null
liquidity
number<double> | null
Last modified on August 7, 2026